<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:RprtPyType.02.10="http://sbr.gov.au/dims/RprtPyType.02.10.dims" xmlns:SprFndUSI.02.00_typedelement="http://sbr.gov.au/dims/SprFndUSI.02.00.dims" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="FVSG201406Validator_Functions.xsl"/><xsl:variable xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->
<xsl:key name="RP_facts" match="xbrli:xbrl/*[@contextRef=$RP.ContextId and not(@i:nil='true')]" use="concat(local-name(),'RP')"/><xsl:key name="INT_facts" match="xbrli:xbrl/*[@contextRef=$INT.ContextId and not(@i:nil='true')]" use="concat(local-name(),'INT')"/><xsl:key name="SFUSI_facts" match="xbrli:xbrl/*[@contextRef=$SFUSI.ContextId and not(@i:nil='true')]" use="concat(local-name(),'SFUSI')"/>

<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M14"/><xsl:apply-templates select="/" mode="M15"/><xsl:apply-templates select="/" mode="M16"/><xsl:apply-templates select="/" mode="M17"/><xsl:apply-templates select="/" mode="M18"/><xsl:apply-templates select="/" mode="M19"/></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL variables that are applicable accross all of the FVSG services.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[                                            ./xbrli:period/xbrli:startDate                                            and ./xbrli:period/xbrli:endDate                                           and ./xbrli:entity/                                           xbrli:segment[count(./xbrldi:explicitMember) = 1]/                                            xbrldi:explicitMember                                           [                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                                          ]                                     ]"/><xsl:variable name="RP.ContextId" select="$RP.Context/@id"/><xsl:variable name="INT.Context" select="xbrli:xbrl/xbrli:context[                                            ./xbrli:period/xbrli:startDate                                            and ./xbrli:period/xbrli:endDate                                           and ./xbrli:entity/                                           xbrli:segment[count(./xbrldi:explicitMember) = 1]/                                            xbrldi:explicitMember                                           [                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:Intermediary$')                                                                          ]                                     ]"/><xsl:variable name="INT.ContextId" select="$INT.Context/@id"/><xsl:variable name="SFUSI.Context" select="//xbrli:xbrl/xbrli:context[                                            ./xbrli:entity/                                           xbrli:segment[                                                           count(./xbrldi:explicitMember) = 1 and                                                           count(./xbrldi:typedMember) = 1 and                                                           xbrldi:explicitMember                                                           [                                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                               and                                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:SuperFund$')                                                                   ]                                                           and                                                           xbrldi:typedMember                                                           [                                                               matches(@dimension,'^SprFndUSI\.\d{2}\.\d{2}_typedelement:SuperFundUniqueSuperannuationIdentifierDimension$')                                                                                    ]                                                        ]                                         ]"/><xsl:variable name="SFUSI.ContextId" select="$SFUSI.Context/@id"/><xsl:variable name="fvsg2" select="key('INT_facts', 'OrganisationNameDetails.OrganisationalName.TextINT')"/><xsl:variable name="fvsg4" select="key('RP_facts', 'OrganisationNameDetails.OrganisationalName.TextRP')"/><xsl:variable name="fvsg7" select="key('SFUSI_facts', 'SuperannuationPayment.PaymentType.CodeSFUSI')"/><xsl:variable name="fvsg8" select="key('SFUSI_facts', 'Interaction.BankingDetailsRequired.IndicatorSFUSI')"/><xsl:template match="text()" priority="-1" mode="M14"/><xsl:template match="@*|node()" priority="-2" mode="M14"><xsl:apply-templates select="*" mode="M14"/></xsl:template>

<!--
                PATTERN ContextValidations for contexts that are applicable accross all of the FVSG services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M15">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          count($SFUSI.Context) != 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FVSG.000010</isns:Code><isns:Description>Invalid context. The number of SuperFund.ProductUSI contexts must equal 1.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $SFUSI.Context                         and                         xbrli:context[@id = $SFUSI.ContextId]/xbrli:entity/xbrli:identifier                         [                             not(matches(@scheme,'^http://www.sbr.gov.au/id$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FVSG.000011</isns:Code><isns:Description>Entity identifier scheme for SuperFund Product USI must be "http://www.sbr.gov.au/id"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="fvsg6" select="$SFUSI.Context/xbrli:entity/xbrli:segment/xbrldi:typedMember                               [                                   not(@i:nil='true')                                    and                                    @dimension = 'SprFndUSI.02.00_typedelement:SuperFundUniqueSuperannuationIdentifierDimension'                               ]                               /SprFndUSI.02.00_typedelement:SuperannuationFundDetails.UniqueSuperannuationIdentifier.Identifier[not(@i:nil='true')]/text()"/><xsl:variable name="rpABN" select="$RP.Context/xbrli:entity/xbrli:identifier[not(@i:nil='true') and @scheme='http://www.ato.gov.au/abn' and string-length(.) != 0]/text()"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $fvsg6                         [                             not(@i:nil='true')                              and                              string-length(.) != 0                             and                             (                                 substring(., 1, 11) != $rpABN                                                                 or                                 not(matches(substring(., 12, 3), '^[0-9]{1,3}$'))                             )                             and                             (                                 not(matches(substring(., 1, 3), '^[a-zA-Z]{1,3}$'))                                 or                                 not(matches(substring(., 4, 4), '^[0-9]{1,4}$'))                                 or                                  not(matches(substring(., 8, 2), '^[a-zA-Z]{1,2}$'))                                         )                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FVSG.000014</isns:Code><isns:Description>A valid Unique Superannuation Identifier (USI) is either provider's ABN + 3 digits, or a SPIN</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.Context) != 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000209</isns:Code><isns:Description>Invalid context. The number of Reporting Party contexts must equal 1.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                            count($INT.ContextId) &gt; 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.436280</isns:Code><isns:Description>Invalid context. The number of Intermediary contexts must not exceed 1</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $INT.Context                         and                         xbrli:context[@id = $INT.ContextId]/xbrli:entity/xbrli:identifier                         [                             not(matches(@scheme,'^http://www.abr.gov.au/abn$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.438039</isns:Code><isns:Description>Entity identifier scheme for Intermediary must be "http://www.abr.gov.au/abn"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RP.Context                         and                         xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier                         [                             not(matches(@scheme,'^http://www.abr.gov.au/abn$'))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500049</isns:Code><isns:Description>Entity identifier scheme for Reporting Party must be "http://www.abr.gov.au/abn"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M15"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]" priority="1002" mode="M15"><xsl:variable name="startDate" select="xbrli:period/xbrli:startDate"/><xsl:variable name="endDate" select="xbrli:period/xbrli:endDate"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $RP.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                             string-length(.) != 0                              and                              not(function:ValidateABN(.))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FVSG.000023</isns:Code><isns:Description>Invalid ABN</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $INT.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                             string-length(.) != 0                              and                              not(function:ValidateABN(.))                         ]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.200011</isns:Code><isns:Description>Invalid ABN</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:period/xbrli:startDate[. != $startDate]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500030</isns:Code><isns:Description>Invalid context. Period start date must be the same across all duration contexts.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:period/xbrli:endDate[. != $endDate]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500033</isns:Code><isns:Description>Invalid context. Period end date must be the same across all duration contexts.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($startDate[matches(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.)])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500083</isns:Code><isns:Description>Invalid context. Period start date must be in a valid date format.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($endDate[matches(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.)])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500084</isns:Code><isns:Description>Invalid context. Period end date must be in a valid date format.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M15"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]/xbrli:period[not(@i:nil='true')]" priority="1001" mode="M15">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:endDate != xbrli:startDate                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500034</isns:Code><isns:Description>Invalid context. Period start date must be the same as the Period end date for this form.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M15"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]/xbrli:period[not(@i:nil='true')]/xbrli:startDate" priority="1000" mode="M15">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         function:IsDate1GreaterThanDate2(., current-date())                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500035</isns:Code><isns:Description>Invalid context. Period start date cannot be any day in the future.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M15"/></xsl:template><xsl:template match="text()" priority="-1" mode="M15"/><xsl:template match="@*|node()" priority="-2" mode="M15"><xsl:apply-templates select="*" mode="M15"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->
<xsl:template match="text()" priority="-1" mode="M16"/><xsl:template match="@*|node()" priority="-2" mode="M16"><xsl:apply-templates select="*" mode="M16"/></xsl:template>

<!--
                PATTERN MandatoriesMandatory Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1000" mode="M17">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          count($INT.Context) = 1                         and                         not($fvsg2[not(@i:nil='true') and string-length(.) != 0])                                               )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FVSG.000006</isns:Code><isns:Description>Intermediary business name must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not($fvsg4[not(@i:nil='true') and string-length(.) != 0])                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FVSG.000009</isns:Code><isns:Description>Reporting party's business name must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not($fvsg7[not(@i:nil='true') and string-length(.) != 0])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FVSG.000018</isns:Code><isns:Description>Payment Type must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/emsup.02.17:SuperannuationPayment.PaymentType.Code</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not($fvsg8[not(@i:nil='true')])                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.FVSG.000021</isns:Code><isns:Description>Banking Details Required Indicator must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.17:Interaction.BankingDetailsRequired.Indicator</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M17"/></xsl:template><xsl:template match="text()" priority="-1" mode="M17"/><xsl:template match="@*|node()" priority="-2" mode="M17"><xsl:apply-templates select="*" mode="M17"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->
<xsl:template match="text()" priority="-1" mode="M18"/><xsl:template match="@*|node()" priority="-2" mode="M18"><xsl:apply-templates select="*" mode="M18"/></xsl:template>

<!--
                PATTERN WarningsValidations for warnings that are applicable accross all FVSG services.-->
<xsl:template match="text()" priority="-1" mode="M19"/><xsl:template match="@*|node()" priority="-2" mode="M19"><xsl:apply-templates select="*" mode="M19"/></xsl:template></xsl:stylesheet>