﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Mandatory Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.FVSG.000006
         ELS Ref: V17

		    IF (COUNT(INT) = 1) AND ([fvsg2] = NULLORBLANK)
		       RETURN VALIDATION MESSAGE
		    ENDIF
        
        [fvsg2] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.FVSG.000006" diagnostics="DVR.ATO.FVSG.000006"
            test="not( 
                        count($INT.Context) = 1
                        and
                        not($fvsg2[not(@i:nil='true') and string-length(.) != 0])                        
                      )" />
        
    
    <!-- Rule ID: VR.ATO.FVSG.000009
         ELS Ref: V17
    
         IF ([fvsg4] = NULLORBLANK)
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [fvsg4] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert  id="VR.ATO.FVSG.000009" diagnostics="DVR.ATO.FVSG.000009"
             test="not( 
                         not($fvsg4[not(@i:nil='true') and string-length(.) != 0])
                      )" />


    <!-- Rule ID: VR.ATO.FVSG.000018
         ELS Ref: V17
    
         IF ([fvsg7] = NULLORBLANK)
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [fvsg7] = emsup.xx.xx:SuperannuationPayment.PaymentType.Code
    -->
    <assert id="VR.ATO.FVSG.000018" diagnostics="DVR.ATO.FVSG.000018"
            test="not( 
                         not($fvsg7[not(@i:nil='true') and string-length(.) != 0])
                     )" />


    <!-- Rule ID: VR.ATO.FVSG.000021
         ELS Ref: V17
    
         IF ([fvsg8] = NULL)
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [fvsg8] = pyin.xx.xx:Interaction.BankingDetailsRequired.Indicator
    -->
    <assert id="VR.ATO.FVSG.000021" diagnostics="DVR.ATO.FVSG.000021"
            test="not( 
                         not($fvsg8[not(@i:nil='true')])
                     )" />

  </rule>

</pattern>
