﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Mandatory Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">

    <!-- Rule ID: VR.ATO.FVSL.000004
         ELS Ref: V17

		    IF (COUNT(INT) = 1) AND ([fvsl2] = NULLORBLANK)
		       RETURN VALIDATION MESSAGE
		    ENDIF
        
        [fvsl2] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
    -->
    <assert id="VR.ATO.FVSL.000004" diagnostics="DVR.ATO.FVSL.000004"
            test="not( 
                        count($INT.Context) = 1
                        and
                        not($fvsl2[not(@i:nil='true') and string-length(.) != 0])                        
                      )" />
    

    <!-- Rule ID: VR.ATO.FVSL.000009
         ELS Ref: V17
    
         IF ([fvsl4] = NULLORBLANK)
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [fvsl4] = pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text
        -->
    <assert id="VR.ATO.FVSL.000009" diagnostics="DVR.ATO.FVSL.000009"
            test="not( 
                         not($fvsl4[not(@i:nil='true') and string-length(.) != 0])
                     )" />


    <!-- Rule ID: VR.ATO.FVSL.000013
         ELS Ref: V17
    
         IF ([fvsl5] = NULLORBLANK)
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [fvsl5] = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier
        -->
    <assert id="VR.ATO.FVSL.000013" diagnostics="DVR.ATO.FVSL.000013"
            test="not( 
                         not($fvsl5[not(@i:nil='true') and string-length(.) != 0])
                     )" />

  </rule>

</pattern>
