﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FieldPatterns" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Field Pattern Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

      <!--
          IF  [FVSU25] <> NULL AND [FVSU26] STARTSWITH (""13"",""18"" or ""04"")
             RETURN VALIDATION MESSAGE
          ENDIF

          [FVSU25] = FVSU:RP.{ProductUSI}:pyde.02.00:ElectronicContact.Telephone.Area.Code
          [FVSU26] = FVSU:RP.{ProductUSI}:pyde.02.00:ElectronicContact.Telephone.Minimal.Number
        -->

      <assert  id="VR.ATO.FVSU.000032" diagnostics="DVR.ATO.FVSU.000032" 
                  test="not(
                            count(pyde.02.00:ElectronicContact.Telephone.Area.Code[@contextRef = $RP.ProductUSI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            and
                             (
                                pyde.02.00:ElectronicContact.Telephone.Minimal.Number
                                [
                                    @contextRef = $RP.ProductUSI.ContextId 
                                    and 
                                    not(@i:nil='true' or @i:nil='1')
                                    and
                                    matches(.,'^(13|18|04)')    
                                ]
                            )
                  )"></assert>

    

      <!--
          IF [FVSU25]  = NULL AND NOT ([FVSU26] STARTSWITH (""13"",""18"" or ""04""))
             RETURN VALIDATION MESSAGE
          ENDIF


          [FVSU25] = FVSU:RP.{ProductUSI}:pyde.02.00:ElectronicContact.Telephone.Area.Code
          [FVSU26] = FVSU:RP.{ProductUSI}:pyde.02.00:ElectronicContact.Telephone.Minimal.Number

        -->
    


      <assert  id="VR.ATO.FVSU.000031" diagnostics="DVR.ATO.FVSU.000031" 
               test="not(
                          count(pyde.02.00:ElectronicContact.Telephone.Area.Code[@contextRef = $RP.ProductUSI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                          and
                           not (                       
                             pyde.02.00:ElectronicContact.Telephone.Minimal.Number
                             [
                                @contextRef = $RP.ProductUSI.ContextId 
                                and 
                                not(@i:nil='true' or @i:nil='1')
                                and
                                matches(.,'^(13|18|04)')
                             ]                                                
                          )                           
                      )"></assert>

      <!--
          IF [FVSU28] <> NULLORBLANK AND NOT [FVSU28] STARTSWITH “http://” or “https://”  
              RETURN VALIDATION MESSAGE
          ENDIF

          [FVSU28] = FVSU:RP.{ProductUSI}:pyde.02.00:ElectronicContact.Web.UniformResourceLocator.Text
        -->

      <assert  id="VR.ATO.FVSU.000028" diagnostics="DVR.ATO.FVSU.000028" 
               test="not(                                        
                          pyde.02.00:ElectronicContact.Web.UniformResourceLocator.Text
                          [
                              @contextRef = $RP.ProductUSI.ContextId 
                              and 
                              not(@i:nil='true' or @i:nil='1') 
                              and
                              string-length(normalize-space(.)) != 0
                              and 
                              not( matches(. ,'^(http://|https://)(.*)$','i') )
                          ]                         
                      )"></assert>
      
        <!--
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text STARTSWITH "@") 
            OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text ENDSWITH "@")
            RETURN VALIDATION MESSAGE
            ENDIF	
        -->

        <assert  id="VR.ATO.GEN.430222" diagnostics="DVR.ATO.GEN.430222" 
                 test="not(
                          pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                          [
                              not(@i:nil='true' or @i:nil='1')
                              and
                              matches(.,'^(@)(.*)$','i') 
                          ]                         
                         or 
                          pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                          [
                              not(@i:nil='true' or @i:nil='1')
                              and
                              matches(.,'^(.*)(@)$','i')
                          ]                         
                      )"></assert>
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS MORE THAN ONE "@"
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.430223" diagnostics="DVR.ATO.GEN.430223" 
                 test="not(
                          pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                          [
                              not(@i:nil='true' or @i:nil='1')
                              and
                              matches(.,'^(.*)(@)(.*)(@)(.*)$','i') 
                          ]                          
                      )"></assert>
        <!--
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text STARTSWITH ".") 
            OR (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text ENDSWITH ".")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.430224" diagnostics="DVR.ATO.GEN.430224"
                 test="not(
                          pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                          [
                              not(@i:nil='true' or @i:nil='1')
                              and
                              matches(.,'^(\.)(.*)$','i') 
                          ]                         
                         or 
                          pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                          [
                              not(@i:nil='true' or @i:nil='1')
                              and
                              matches(.,'^(.*)(\.)$','i')
                          ]                          
                      )"></assert>
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS ".."
            RETURN VALIDATION MESSAGE
            ENDIF	
        -->

        <assert  id="VR.ATO.GEN.430226" diagnostics="DVR.ATO.GEN.430226" 
                 test="not(
                          pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                          [
                              not(@i:nil='true' or @i:nil='1')
                              and
                              matches(.,'^(.*)(\.\.)(.*)$','i') 
                          ]
                      )"></assert>
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS .@
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.430227" diagnostics="DVR.ATO.GEN.430227" 
                 test="not(
                          pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                          [
                              not(@i:nil='true' or @i:nil='1')
                              and
                              matches(.,'^(.*)(\.@)(.*)$','i')
                          ]
                      )"></assert>
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS "@."
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.430228" diagnostics="DVR.ATO.GEN.430228" 
                 test="not(
                          pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                          [
                              not(@i:nil='true' or @i:nil='1')
                              and
                              matches(.,'^(.*)(@\.)(.*)$','i')
                          ]                        
                      )"></assert>
        <!--
            IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text CONTAINS SET("(", ")", "<", ">", ",", ";", ":", "\",  """, "]", "[")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.430229" diagnostics="DVR.ATO.GEN.430229" test="not(
                     pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
                        [not(@i:nil='true' or @i:nil='1')  
                         and matches(.,'^(.*)(\(|\)|&lt;|&gt;|,|;|:|\\|&quot;|\]|\[)(.*)$')
                         ])"></assert>
        <!--
            IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) 
            AND (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text DOES NOT CONTAIN "@")
            RETURN VALIDATION MESSAGE
            ENDIF
        -->

        <assert  id="VR.ATO.GEN.430230" diagnostics="DVR.ATO.GEN.430230" test="not(
                          pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[string-length(normalize-space(.)) != 0 
                                 and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^(.*)(@)(.*)$','i'))]
                      )"></assert>
        <!--
        IF pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text = FOUND(" ")
        RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.430231" diagnostics="DVR.ATO.GEN.430231" test="not(
                            pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1') and matches(.,'^(.*)( )(.*)$')]
                      )"></assert>

        <!--
        IF (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text <> NULLORBLANK) 
        AND (pyde.xx.xx:ElectronicContact.ElectronicMail.Address.Text DOES NOT CONTAIN ".")
            RETURN VALIDATION MESSAGE
        ENDIF
        -->

        <assert  id="VR.ATO.GEN.430232" diagnostics="DVR.ATO.GEN.430232" test="not(
                            pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[string-length(normalize-space(.)) != 0 
                            and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^(.*)(\.)(.*)$','i'))]
                      )"></assert>

        <!--
        IF  [FVSU25] <> NULL AND [FVSU25] <> ("02","03","04","07" or "08")
           RETURN VALIDATION MESSAGE
        ENDIF

        [FVSU25] = FVSU:RP.{ProductUSI}:pyde.02.00:ElectronicContact.Telephone.Area.Code
        -->

        <assert  id="VR.ATO.FVSU.000021" diagnostics="DVR.ATO.FVSU.000021" test="not(
                            pyde.02.00:ElectronicContact.Telephone.Area.Code[@contextRef = $RP.ProductUSI.ContextId and string-length(normalize-space(.)) != 0 
                            and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^02|03|04|07|08$','i'))]
                      )"></assert>

      <!--
            IF pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number <> NULLORBLANK AND 
            (LENGTH(pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccount.Number ) > 9)
               RETURN VALIDATION MESSAGE
            ENDIF
          -->

      <assert  id="VR.ATO.FVSU.000030" diagnostics="DVR.ATO.FVSU.000030"
               test="not(
                          (
                            count(pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[@contextRef = $RP.ProductUSI.Primary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) != 0
                            and 
                            pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[@contextRef = $RP.ProductUSI.Primary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 9 ]
                          )
                          or
                          (
                            count(pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[@contextRef = $RP.ProductUSI.Secondary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) != 0
                            and 
                            pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[@contextRef = $RP.ProductUSI.Secondary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 9 ]
                          )
                          
                       )"></assert>



    </rule>
</pattern>