﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatory Validations that are applicable accross all of the FVSU services.</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

      <!--
          IF [FVSU23] = NULLORBLANK 
              RETURN VALIDATION MESSAGE 
          ENDIF

          [FVSU23] = FVSU:RP.{ProductUSI}:pyde.02.00:PersonNameDetails.FamilyName.Text
        -->

      <assert  id="VR.ATO.FVSU.000034" diagnostics="DVR.ATO.FVSU.000034" test="not(
                        count(pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ProductUSI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                    )"></assert>
      
      <!--
          IF [FVSU12] = NULLORBLANK
            RETURN VALIDATION MESSAGE
          ENDIF

          [FVSU12] = FVSU:RP.{ProductUSI}.Primary:pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number
        -->

      <assert  id="VR.ATO.FVSU.000029" diagnostics="DVR.ATO.FVSU.000029" test="not(
                        count(pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number[@contextRef = $RP.ProductUSI.Primary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                    )"></assert>
      
      <!--
      IF [FVSU24] = NULLORBLANK 
          RETURN VALIDATION MESSAGE 
      ENDIF

      [FVSU24] = FVSU:RP.{ProductUSI}:pyde.02.00:PersonNameDetails.GivenName.Text

        -->

      <assert  id="VR.ATO.FVSU.000017" diagnostics="DVR.ATO.FVSU.000017" test="not(
                        count(pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $RP.ProductUSI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                    )"></assert>


        <!--
            IF [FVSU4] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF

            [FVSU4] = FVSU:INT:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
        -->

        <assert  id="VR.ATO.FVSU.000007" diagnostics="DVR.ATO.FVSU.000007"
                 test="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                     "></assert>

        <!--
            IF [FVSU6] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF

            [FVSU6] = FVSU:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
        -->

        <assert  id="VR.ATO.FVSU.000008" diagnostics="DVR.ATO.FVSU.000008"
                 test="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                     "></assert>

        <!--
            IF [FVSU8] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF

            [FVSU8] = FVSU:RP:pyde.02.16:ElectronicContact.WebServices.ConformanceToStandard.Text
        -->

        <assert  id="VR.ATO.FVSU.000009" diagnostics="DVR.ATO.FVSU.000009"
                 test="pyde.02.16:ElectronicContact.WebServices.ConformanceToStandard.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                     "></assert>

        <!--
            IF [FVSU11] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF

            [FVSU11] = FVSU:RP.{ProductUSI}:emsup.02.13:SuperannuationProductDetails.Name.Text
        -->

        <assert  id="VR.ATO.FVSU.000011" diagnostics="DVR.ATO.FVSU.000011"
                 test="emsup.02.13:SuperannuationProductDetails.Name.Text[@contextRef = $RP.ProductUSI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                     "></assert>

        <!--
            IF [FVSU13] = NULLORBLANK 
               RETURN VALIDATION MESSAGE
            ENDIF

            [FVSU13] = FVSU:RP.{ProductUSI}.Primary:pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
        -->

        <assert  id="VR.ATO.FVSU.000012" diagnostics="DVR.ATO.FVSU.000012"
                 test="not(
                        count(pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[@contextRef = $RP.ProductUSI.Primary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) =0
                     )"></assert>

      

        <!--
            IF  [FVSU14] = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF

            [FVSU14] = FVSU:RP.{ProductUSI}.Primary:pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
        -->

        <assert  id="VR.ATO.FVSU.000013" diagnostics="DVR.ATO.FVSU.000013"
                 test="pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[@contextRef = $RP.ProductUSI.Primary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                     "></assert>

        <!--
            IF  [FVSU16] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF

            [FVSU16] = FVSU:RP.{ProductUSI}.Primary:pyde.02.16:ElectronicContact.ElectronicServiceAddress.Text
        -->

        <assert  id="VR.ATO.FVSU.000014" diagnostics="DVR.ATO.FVSU.000014"
                 test="pyde.02.16:ElectronicContact.ElectronicServiceAddress.Text[@contextRef = $RP.ProductUSI.Primary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                     "></assert>

        <!--
            IF [FVSU26] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [FVSU26] = FVSU:RP.{ProductUSI}:pyde.02.00:ElectronicContact.Telephone.Minimal.Number

        -->

        <assert  id="VR.ATO.FVSU.000018" diagnostics="DVR.ATO.FVSU.000018"
                 test="pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef = $RP.ProductUSI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                     "></assert>
        
        <!--
            IF [FVSU27] = NULLORBLANK
                  RETURN VALIDATION MESSAGE
            ENDIF

            [FVSU27] = FVSU:RP.{ProductUSI}:pyde.02.00:ElectronicContact.ElectronicMail.Address.Text
        -->

        <assert  id="VR.ATO.FVSU.000019" diagnostics="DVR.ATO.FVSU.000019"
                 test="pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[@contextRef = $RP.ProductUSI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                     "></assert>

      <!--
          IF [FVSU18] = NULLORBLANK
            RETURN VALIDATION MESSAGE
          ENDIF

          [FVSU18] = FVSU:RP.{ProductUSI}.Secondary:pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number
        -->

      <assert  id="VR.ATO.FVSU.000036" diagnostics="DVR.ATO.FVSU.000036" test="not(
                        count(pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number[@contextRef = $RP.ProductUSI.Secondary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                    )"></assert>

      <!--
            IF [FVSU19] = NULLORBLANK 
               RETURN VALIDATION MESSAGE
            ENDIF

            [FVSU19] = FVSU:RP.{ProductUSI}.Secondary:pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
        -->

      <assert  id="VR.ATO.FVSU.000037" diagnostics="DVR.ATO.FVSU.000037"
               test="not(
                        count(pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[@contextRef = $RP.ProductUSI.Secondary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) =0
                     )"></assert>

      <!--
            IF  [FVSU20] = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF

            [FVSU20] = FVSU:RP.{ProductUSI}.Secondary:pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
        -->

      <assert  id="VR.ATO.FVSU.000038" diagnostics="DVR.ATO.FVSU.000038"
               test="pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[@contextRef = $RP.ProductUSI.Secondary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                     "></assert>

      <!--
            IF  [FVSU21] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF

            [FVSU21] = FVSU:RP.{ProductUSI}.Secondary:pyde.02.16:ElectronicContact.ElectronicServiceAddress.Text
        -->

      <assert  id="VR.ATO.FVSU.000039" diagnostics="DVR.ATO.FVSU.000039"
               test="pyde.02.16:ElectronicContact.ElectronicServiceAddress.Text[@contextRef = $RP.ProductUSI.Secondary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                     "></assert>


    </rule >
 
    
</pattern>