﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Variables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL variables that are applicable accross all of the FVSU services.</title>

    <!-- RP Context -->
    <let name="RP.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1') 
              and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1 and count(./xbrldi:typedMember) = 0]/ 
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
           ]" />
    
    
    <!-- RP Context Id -->
    <let name="RP.ContextId" value="$RP.Context/@id" />
    <!-- INT Context -->
    <let name="INT.Context" value="xbrli:xbrl/xbrli:context[
              not(@i:nil='true' or @i:nil='1')
              and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
              xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/
              xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]
           ]" />
    <!-- INT Context Id -->
    <let name="INT.ContextId" value="$INT.Context/@id" />

    <!-- RP.ProductUSI Context -->

    <let name="RP.ProductUSI.Context" value="xbrli:xbrl/xbrli:context[
                    not(@i:nil='true' or @i:nil='1')
                    and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                    and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                    and count(./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')])=0 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                    /xbrli:segment[	
                        not(@i:nil='true' or @i:nil='1') 
                        and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1 
                        and (count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1')]) = 1)
                        and count(./xbrldi:explicitMember[
                            not(@i:nil='true' or @i:nil='1') 
                            and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                            and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                            and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SprFndUSI\.\d\d\.\d\d:SuperFundUniqueSuperannuationIdentifierDimension$')]
                               ) = 1
                ]
            ]" />

    <let name="RP.ProductUSI.ContextId" value="$RP.ProductUSI.Context/@id" />


    <let name="RP.ProductUSI.Primary.Context" value="xbrli:xbrl/xbrli:context[
                     not(@i:nil='true' or @i:nil='1')
                    and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                    and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                    and count(./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')])=0 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                    /xbrli:segment[	
                        not(@i:nil='true' or @i:nil='1') 
                        and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                        and (count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1')]) = 1)
                        and count(./xbrldi:explicitMember[
                            not(@i:nil='true' or @i:nil='1') 
                            and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                            and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                            
                          and count(./xbrldi:explicitMember[
                            not(@i:nil='true' or @i:nil='1') 
                            and matches(@dimension,'^SuperPaymentDest\.\d\d\.\d\d:SuperannuationPaymentDestinationTypeDimension$') 
                            and matches(.,'^SuperPaymentDest\.\d\d\.\d\d:Primary$')]) = 1                             
                            and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SprFndUSI\.\d\d\.\d\d:SuperFundUniqueSuperannuationIdentifierDimension$')]
                               ) = 1
                ]
            ]" />
    <let name="RP.ProductUSI.Primary.ContextId" value="$RP.ProductUSI.Primary.Context/@id" />

    <let name="RP.ProductUSI.Secondary.Context" value="xbrli:xbrl/xbrli:context[
                     not(@i:nil='true' or @i:nil='1')
                    and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                    and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                    and count(./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')])=0 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                    /xbrli:segment[	
                        not(@i:nil='true' or @i:nil='1') 
                        and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2 
                        and (count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1')]) = 1)
                        and count(./xbrldi:explicitMember[
                            not(@i:nil='true' or @i:nil='1') 
                            and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                            and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1
                            
                        and count(./xbrldi:explicitMember[
                            not(@i:nil='true' or @i:nil='1') 
                            and matches(@dimension,'^SuperPaymentDest\.\d\d\.\d\d:SuperannuationPaymentDestinationTypeDimension$') 
                            and matches(.,'^SuperPaymentDest\.\d\d\.\d\d:Secondary$')]) = 1  
                            
                         and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SprFndUSI\.\d\d\.\d\d:SuperFundUniqueSuperannuationIdentifierDimension$')]
                          ) = 1
                ]
            ]" />
    <let name="RP.ProductUSI.Secondary.ContextId" value="$RP.ProductUSI.Secondary.Context/@id" />
  
  <let name="RP.Identifier.ABN" value="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and contains(./xbrldi:explicitMember,'ReportingParty')]/xbrldi:explicitMember/../../xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/abn']" />
</pattern>